<?
define('PROTECTOR', 1);

$headmod = 'mod_panel';//фикс. места

$textl='Модер-панель';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if($udata[prava]<2){
echo'Доступ закрыт!';
include($path.'files/down.php');
exit;
}

switch($_GET[mod]){

default:
echo"<a href=\"mod_panel.php?mod=1\">Наложить бан</a><br/>";
echo"<a href=\"mod_panel.php?mod=2\">Список забаненых</a><br/>";
break;

case '1':
if(empty($_POST[nick])){
echo '<form action="mod_panel.php?mod=1" method="post">';
echo"Логин:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>";

echo"Причина бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип времени:<br/>
<select name=\"times\">
<option value=\"sec\">Секунд</option>
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
</select><br/>";

echo '<input class="button" type="submit" value="Забанить" /></form>';
}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";include($path.'files/down.php');exit;}

$req = mysql_query("SELECT * FROM `ban` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==1){echo"Игрок уже в бане!";include($path.'files/down.php');exit;}

if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}

$time_ban=time()+$_POST[time];

mysql_query("INSERT INTO
`ban` SET
`usr` = '$_POST[nick]',
`text` = '$_POST[text]',
`ban_time` = '$time_ban'");

echo'Игрок '.$_POST[nick].' забанен!<br/>';
}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;

case '2':
$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[usr]</b> [<a href=\"mod_panel.php?mod=3&amp;id=$mag[id]\">снять бан</a>]<br/>";
}
}else{
echo"<b>Нет забаненых!</b><br/>";
}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;
case '3':
if(empty($_GET[id])){
echo"Ошибка невыбран игрок!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `ban` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `ban` WHERE `id`='$_GET[id]'");
echo'Бан снят!<br/>';
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;
}
include"files/down.php";
?>
